View Issue Details

IDProjectCategoryView StatusLast Update
0000256PluginsFTP (old)public2007-07-16 16:06
ReporterDiRTy_GaRRyAssigned Toalexy 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows XP SP2 + HotfixesOS VersionXP SP2
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000256: Плагин не корректно работает с ftp-линками содержащими национальные символы
DescriptionПри переходе в папку являющуюся ссылкой на другую папку содержащую национальные символы плагин пытается осуществить переход в папку с имененм заданным не в той кодировке. Если же путь назначения не содержит национальных символов, то переход осуществляется без проблем.

Прилагаю мультик и лог ftp плагина.
TagsNo tags attached.

Activities

2007-01-12 09:54

 

ftp_sshoot.rar (67,971 bytes)

2007-01-12 09:54

 

ftp_log.rar (6,592 bytes)

DiRTy_GaRRy

2007-01-16 08:44

developer   bugnote:0000384

Необходимо в файле ftp_Ftp.cpp заменить строку

CurItem->CustomColumnData[FTP_COL_LINK] = StrDup(FileInfo.Link);

на строки

pchar link = StrDup(FileInfo.Link);
hConnect->ToOEM(link);
CurItem->CustomColumnData[FTP_COL_LINK] = link;

Не знаю, корректно ли это впимывается в архитектуру плагина (С/С++ я уже почти забыл), но оно работает. Может замерджите?

alexy

2007-01-16 18:34

administrator   bugnote:0000387

Смотри аттач в #252. Это UTF8 + твои изменения. Если всё ок то комичю изменения.

Issue History

Date Modified Username Field Change
2007-01-12 09:54 DiRTy_GaRRy New Issue
2007-01-12 09:54 DiRTy_GaRRy File Added: ftp_sshoot.rar
2007-01-12 09:54 DiRTy_GaRRy File Added: ftp_log.rar
2007-01-16 08:44 DiRTy_GaRRy Note Added: 0000384
2007-01-16 18:34 alexy Note Added: 0000387
2007-01-16 18:35 alexy Assigned To => alexy
2007-01-16 18:35 alexy Status new => resolved
2007-01-16 18:35 alexy Resolution open => fixed
2007-01-16 18:35 alexy Fixed in Version => 1.71
2007-07-16 16:06 alexy Status resolved => closed
2013-05-21 00:30 alexy Category FTP => FTP (old)